# FACET.defn.tcl


proc {FACET} {name c n} {
          define-register $name cCAMAC clracc          "-c$c -n$n -a1 -f24"
          define-register $name cCAMAC clrcal          "-c$c -n$n -a2 -f24"
          define-register $name cCAMAC setacc          "-c$c -n$n -a1 -f26"
          define-register $name cCAMAC setcal          "-c$c -n$n -a2 -f26"
          define-register $name cCAMAC clear           "-c$c -n$n -a0 -f9"
          define-register $name cCAMAC callgrp         "-c$c -n$n -a2 -f25"
          define-register $name xCAMAC status          "-c$c -n$n -a0 -f0 -prw -l24 -b0 -i0"
          define-register $name xCAMAC status.length   "-c$c -n$n -a0 -f0 -prw -l16 -b0 -zd -i 8000"
          define-register $name xCAMAC status.auto     "-c$c -n$n -a0 -f0 -prw -l1 -b22 -zd"
          define-register $name xCAMAC status.group    "-c$c -n$n -a0 -f0 -prw -l1 -b23 -zd"
}


proc {FACET_DAQ-reset} {args} {
#    FACET
   set module [first $args]
#   if {[read-register $module.clear] != "%01"} then {no-QX "$module.clear"}
   read-register $module.clear
   read-register $module.clrcal
   read-register $module.clracc
}

proc {FACET_DAQ-go} {args} {
#    FACET
   set module [first $args]
   read-register $module.clear
   read-register $module.setacc
}

proc {FACET_DAQ-halt} {args} {
#    FACET
   set module [first $args]
   read-register $module.clracc
}

